#import <iostream>
#import <string>
#import <cmath>
using namespace std;

int main(){
    string slova;
    cin >> slova;
    int a1, a2;
    cin >> a1 >> a2;
    char c1 = slova[0];
    char c2 = slova[1];
    if(abs(a1 - a2) > 1){
        cout << "nemoguce";
    }else{
        if(a1 > a2){
            for(int i = 0; i < a2; i++){
                cout << c1 << c2;
            }
            cout << c1;
        }   
        else if(a2 > a1){
            for(int i = 0; i < a1; i++){
                cout << c2 << c1;
            }
            cout << c2;
        }
        else{
            for(int i = 0; i < a1; i++){
                cout << c1 << c2;
            }
        }
    }
    
}